PredictorRegistry::Iterator Class Reference

`#include <predictorRegistry.h>`

Collaboration diagram for PredictorRegistry::Iterator:

## Public Member Functions

| Iterator (std::vector< Predictor * > &)
| ~Iterator ()
bool | hasNext () const
Predictor * | next ()

## Private Attributes

std::vector< Predictor * >::iterator | iter_end
std::vector< Predictor * >::iterator | iter_curr

## Detailed Description

Definition at line 52 of file predictorRegistry.h.

## Constructor & Destructor Documentation

## Iterator()

PredictorRegistry::Iterator::Iterator | ( | std::vector< Predictor * > & | cont | ) |

Definition at line 239 of file predictorRegistry.cpp.

## ~Iterator()

PredictorRegistry::Iterator::~Iterator | ( |  | ) |

Definition at line 244 of file predictorRegistry.cpp.

## Member Function Documentation

## hasNext()

bool PredictorRegistry::Iterator::hasNext | ( |  | ) | const

Definition at line 247 of file predictorRegistry.cpp.

Referenced by ContextTracker::learn(), and PredictorActivator::predict().

Here is the caller graph for this function:

## next()

Predictor * PredictorRegistry::Iterator::next | ( |  | ) |

Definition at line 254 of file predictorRegistry.cpp.

Referenced by ContextTracker::learn(), and PredictorActivator::predict().

Here is the caller graph for this function:

## Member Data Documentation

## iter_curr

std::vector<Predictor*>::iterator PredictorRegistry::Iterator::iter_curr

private

Definition at line 62 of file predictorRegistry.h.

## iter_end

std::vector<Predictor*>::iterator PredictorRegistry::Iterator::iter_end

private

Definition at line 61 of file predictorRegistry.h.

The documentation for this class was generated from the following files:

- /build/presage-hvZ4Ld/presage-0.9.1/src/lib/core/predictorRegistry.h
- /build/presage-hvZ4Ld/presage-0.9.1/src/lib/core/predictorRegistry.cpp